Skip to main content
GET
/
v1alpha1
/
inference
/
gateways
/
{id}
Get a gateway
curl --request GET \
  --url https://api.example.com/v1alpha1/inference/gateways/{id}
{
  "gateway": {
    "spec": {
      "id": "<string>",
      "name": "<string>",
      "zones": [
        "<string>"
      ],
      "coreWeaveAuth": {},
      "weightsAndBiasesAuth": {
        "apiKey": "<string>",
        "serverUrl": "<string>",
        "enableUsageReports": true,
        "enableRateLimiting": true
      },
      "organizationId": "<string>",
      "endpointConfiguration": {
        "additionalDns": [
          "<string>"
        ]
      },
      "bodyBasedRouting": {
        "apiType": 123
      },
      "headerBasedRouting": {
        "headerName": "<string>"
      },
      "pathBasedRouting": {}
    },
    "status": {
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "status": 123,
      "conditions": [
        {
          "type": "<string>",
          "status": 123,
          "lastUpdateTime": "2023-11-07T05:31:56Z",
          "reason": "<string>",
          "message": "<string>",
          "zone": "<string>"
        }
      ],
      "endpoints": [
        "<string>"
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

The unique identifier of the reservation to get, UUID format

Response

OK

Response for GetGateway

gateway
object

The gateway

Last modified on May 6, 2026